org.apache.maven.scm.command.tag

## Class TagScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.tag.TagScmResult

All Implemented Interfaces:
  Serializable

    public class TagScmResult
    extends ScmResult

Author:
  Trygve Laugstøl, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`TagScmResult(List<ScmFile> taggedFiles, ScmResult result)`
`TagScmResult(String commandLine, List<ScmFile> taggedFiles)`
`TagScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ScmFile>` `getTaggedFiles()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TagScmResult

    public TagScmResult(String commandLine,
                        String providerMessage,
                        String commandOutput,
                        boolean success)

#### TagScmResult

    public TagScmResult(String commandLine,
                        List<ScmFile> taggedFiles)

#### TagScmResult

    public TagScmResult(List<ScmFile> taggedFiles,
                        ScmResult result)

### Method Detail

#### getTaggedFiles

    public List<ScmFile> getTaggedFiles()